Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface ConnectSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  ConnectSituationImpl

public interface ConnectSituation
extends SituationType

A representation of the model object 'Connect Situation'.

The ConnectSituation deals with the situations that identify aspects about a connection to another component. Messages that say a connection failed, that a connection was created, or that a connection was ended all fall into this category. Existing messages include words like connection reset, connection failed, and failed to get a connection, for example:

`DBMN0015W: Failure while creating connection {0}
DBMN0033W: connection close failure {0}
DBMN0023W: Failed to close a connection {0}`

Since:
  1.0.1

  The following features are supported:

  - `Success Disposition`
  - `Situation Disposition`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getConnectSituation()`

Method Summary
`java.lang.String` | `getSituationDisposition()` Returns the value of the 'Situation Disposition' attribute.
`java.lang.String` | `getSuccessDisposition()` Returns the value of the 'Success Disposition' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setSituationDisposition(java.lang.String value)` Sets the value of the '`Situation Disposition`' attribute
`void` | `setSuccessDisposition(java.lang.String value)` Sets the value of the '`Success Disposition`' attribute

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Returns the value of the 'Success Disposition' attribute.

  Returns:
    the value of the 'Success Disposition' attribute.
  See Also:
    `setSuccessDisposition(String)`, `EventPackage.getConnectSituation_SuccessDisposition()`

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String value)

  Sets the value of the '`Success Disposition`' attribute.

  This property specifies whether or not the operation that caused the situation to be reported was successful. The successDisposition is a string with the following set of values:

  - SUCCESSFUL
  - UNSUCCESSFUL

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Success Disposition' attribute.
  See Also:
    `getSuccessDisposition()`

### getSituationDisposition

    public java.lang.String getSituationDisposition()

  Returns the value of the 'Situation Disposition' attribute.

  Returns:
    the value of the 'Situation Disposition' attribute.
  See Also:
    `setSituationDisposition(String)`, `EventPackage.getConnectSituation_SituationDisposition()`

### setSituationDisposition

    public void setSituationDisposition(java.lang.String value)

  Sets the value of the '`Situation Disposition`' attribute.

  This property specifies the situation disposition that is a representation of the parameters necessary to describe the situation. The situationDisposition is a string with the following set of values:

  - INUSE
  - FREED
  - CLOSED
  - AVAILABLE

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Situation Disposition' attribute.
  See Also:
    `getSituationDisposition()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD